Package org.apache.storm.trident

## Enum JoinOutFieldsMode

- java.lang.Object
- - java.lang.Enum<JoinOutFieldsMode>
  - - org.apache.storm.trident.JoinOutFieldsMode

- All Implemented Interfaces:
    `Serializable`, `Comparable<JoinOutFieldsMode>`

      public enum JoinOutFieldsMode
      extends Enum<JoinOutFieldsMode>

  This enum defines how the output fields of JOIN is constructed.

  If user specifies COMPACT while calling JOIN, the tuples emitted from the join will contain: First, the list of join fields. Please note that joining fields are exposed only once from emitted tuples. Next, a list of all non-join fields from all streams, in order of how the streams were passed to the join method.

  If user specifies PRESERVE while calling JOIN, the tuples emitted from the join will contain: a list of all fields from all streams, in order of how the streams were passed to the join method.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `COMPACT` |
    `PRESERVE` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static JoinOutFieldsMode` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static JoinOutFieldsMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COMPACT

          public static final JoinOutFieldsMode COMPACT

    - #### PRESERVE

          public static final JoinOutFieldsMode PRESERVE

  - ### Method Detail

    - #### values

          public static JoinOutFieldsMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JoinOutFieldsMode c : JoinOutFieldsMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JoinOutFieldsMode valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null